Smart Proxy - Bug #27574

Can’t add host after configuration of dns proxy (powered by powerdns)
08/09/2019 09:13 AM - Lukasz Chrustek

Status: New
Priority: Normal
Assignee:

Category: DNS
Target version:

Difficulty: Fixed in Releases:

Triaged: No Found in Releases: 1.22.0
Bugzilla link: Red Hat JIRA:
Description
When | add host in foreman | get following error in GUI:

Create IPv4 DNS record for cary-lannigan.example.com task failed with the following error: ERF12-2357 [ProxyAPI::ProxyException]:
Unable to set DNS entry ([RestClient::BadRequest]: 400 Bad Request) for proxy https://foreman-01.example.com:8443/dns

in logs | can see:

2019-08-09T10:23:00 [l|app|e188f925] Started POST "/hosts" for 172.31.253.6 at 2019-08-09 10:23:00 +0200
2019-08-09T10:23:00 [l|app|e188f925] Processing by HostsController#create as /*

2019-08-09T10:23:00 [l|app|e188f925] Parameters: {"utf8"=>"1",
"authenticity_token"=>"yLXkvpCBVj9jy/GA8IcH+iDshm6PrsHP3eY08dSKhQ3q4ce6xF5UWOGO01faweqTLWgOHO5XSN4wWESs
+6QtGNxMg==", "host"=>{"name"=>"cary-lannigan", "organization_id"=>"1", "location_id"=>"5", "hostgroup_id"=>"1",
"puppetclass_ids"=>[""], "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed",
"interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"0c:c4:7a:15:1f:02", "identifier"=>"",
"name"=>"cary-lannigan"”, "domain_id"=>"1", "subnet_id"=>"3", "ip"=>"10.22.2.200", "ip6"=>"", "managed"=>"1",
"primary"=>"1", "provision"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""}}, "architecture_id"=>"1",
"operatingsystem_id"=>"1", "provision_method"=>"build", "build"=>"1", "medium_id"=>"19", "ptable_id"=>"241",
"pxe_loader"=>"PXELinux BIOS", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"9-Users", "enabled"=>"1",
"model_id"=>"", "comment"=>"", "overwrite"=>"false"}}

2019-08-09T10:23:00 [ljapp|e188f925] Current user set to chrustek (admin)

2019-08-09T10:23:00 [D|app|e188f925] Current location set to none

2019-08-09T10:23:00 [D|app|e188f925] Current organization set to none

2019-08-09T10:23:01 [D|app|e188f925] Scheduling new DHCP reservations for cary-lannigan.example.com
2019-08-09T10:23:01 [D|app|e188f925] Enqueued task 'dhcp_create_0c:c4:7a:15:1f:02' to 'Host::Managed Main' queue
2019-08-09T10:23:01 [D|app|e188f925] Scheduling new DNS entries

2019-08-09T10:23:01 [D|app|e188f925] Enqueued task 'Create IPv4 DNS record for cary-lannigan.example.com' to
'Host::Managed Main' queue

2019-08-09T10:23:01 [D|app|e188f925] Current organization set to Default Organization

2019-08-09T10:23:01 [D|app|e188f925] Current location set to WAW2-PROD

2019-08-09T10:23:01 [D|app|e188f925] Current location set to none

2019-08-09T10:23:01 [D|app|e188f925] Current organization set to none

2019-08-09T10:23:01 [D|app|e188f925] Enqueued task 'Deploy TFTP PXELinux config for cary-lannigan.example.com’ to
'Host::Managed Main' queue

2019-08-09T10:23:01 [D|app|e188f925] Enqueued task 'Deploy TFTP PXEGrub2 config for cary-lannigan.example.com' to
'Host::Managed Main' queue

2019-08-09T10:23:01 [D|app|e188f925] Enqueued task 'Deploy TFTP PXEGrub config for cary-lannigan.example.com' to
'Host::Managed Main' queue

2019-08-09T10:23:01 [D|app|e188f925] Enqueued task 'Deploy TFTP iPXE config for cary-lannigan.example.com' to
'Host::Managed Main' queue

2019-08-09T10:23:01 [D|app|e188f925] Enqueued task 'Fetch TFTP boot files for cary-lannigan.example.com' to
'Host::Managed Main' queue

2019-08-09T10:23:01 [D|app|e188f925] Enqueued task 'Cleanup PuppetCA certificates for cary-lannigan.example.com' to
'Host::Managed Post' queue

2019-08-09T10:23:01 [D|app|e188f925] Enqueued task 'Enable PuppetCA autosigning for cary-lannigan.example.com’' to
'Host::Managed Post' queue

2019-08-09T10:23:01 [D|app|e188f925] Processing task 'Create DHCP Settings for cary-lannigan.example.com’ from
'Host::Managed Main’

2019-08-09T10:23:01 [ljapp|e188f925] Create DHCP reservation cary-lannigan.example.com for
cary-lannigan.example.com-0c:c4:7a:15:1f:02/10.22.2.200

2019-08-09T10:23:01 [D]|app|e188f925] DHCP reservation on net 10.22.0.0 with attrs:
{:hostname=>"cary-lannigan.example.com”, :mac=>"0c:c4:7a:15:1f:02", :ip=>"10.22.2.200", :network=>"10.22.0.0",
:nextServer=>"10.12.0.60", :filename=>"pxelinux.0", :name=>"cary-lannigan.example.com”, :related_macs=>[]}
2019-08-09T10:23:01 [D|app|e188f925] Processing task 'Create IPv4 DNS record for cary-lannigan.example.com' from
'Host::Managed Main’

2019-08-09T10:23:01 [ljapp|e188f925] Add DNS A record for cary-lannigan.example.com/10.22.2.200

2019-08-09T10:23:01 [W|app|e188f925] Create IPv4 DNS record for cary-lannigan.example.com task failed with the following
error: ERF12-2357 [ProxyAPI::ProxyException]: Unable to set DNS entry ([RestClient::BadRequest]: 400 Bad Request) for
proxy https:/foreman-01.example.com:8443/dns

ProxyAPI::ProxyException: ERF12-2357 [ProxyAPI::ProxyException]: Unable to set DNS entry ([RestClient::BadRequest]:
400 Bad Request) for proxy https://foreman-01.example.com:8443/dns

/usr/share/foreman/lib/proxy_api/dns.rb:15:in ‘rescue in set’

/usr/share/foreman/lib/proxy_api/dns.rb:13:in “set'

/usr/share/foreman/lib/net/dns/forward_record.rb:15:in "create'
/usr/share/foreman/app/models/concerns/dns_interface.rb:43:in “set_dns_record’
/usr/share/foreman/app/models/concerns/orchestration.rb:221:in "execute’
/usr/share/foreman/app/models/concerns/orchestration.rb:145:in "block in process’
/usr/share/foreman/app/models/concerns/orchestration.rb:137:in “each’
/usr/share/foreman/app/models/concerns/orchestration.rb:137:in "process’
/usr/share/foreman/app/models/concerns/orchestration.rb:44:in "around_save_orchestration’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in “block in
run_callbacks'

/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:136:in "run_callbacks'
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:816:in *_run_save_callbacks
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/callbacks.rb:342:in "create_or_update’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/persistence.rb:275:in "save'
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/validations.rb:46:in “save'
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/transactions.rb:310:in "block (2 levels) in
save'

/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/transactions.rb:387:in "block in
with_transaction_returning_status’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/database_sta
tements.rb:254:in "block in transaction’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/transaction.r
b:239:in "block in within_new_transaction’

/usr/lib/ruby/2.3.0/monitor.rb:214:in ‘'mon_synchronize’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/transaction.r
b:236:in "within_new_transaction’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/database_sta
tements.rb:254:in "transaction’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/transactions.rb:212:in "transaction’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/transactions.rb:385:in
‘with_transaction_returning_status'
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/transactions.rb:310:in "block in save'
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/transactions.rb:325:in
‘rollback_active_record_state!'
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/transactions.rb:309:in “save'
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/suppressor.rb:44:in "save'
/usr/share/foreman/app/models/concerns/foreman/sti.rb:26:in “save’
/usr/share/foreman/app/controllers/hosts_controller.rb:98:in "create’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_controller/metal/basic_implicit_render.rb:6:in
“send_action’

/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/abstract_controller/base.rb:194:in "process_action’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_controller/metal/rendering.rb:30:in “process_action’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/abstract_controller/callbacks.rb:42:in "block in
process_action’

/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:109:in "block in
run_callbacks'

/usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in "set_timezone'
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in “block in
run_callbacks'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in “clear_thread’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in “block in
run_callbacks’
/usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in “set_topbar_sweeper_controller'
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in “block in
run_callbacks’

/usr/share/foreman/vendor/ruby/2.3.0/gems/audited-4.8.0/lib/audited/sweeper.rb:14:in “around’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in “block in
run_callbacks’

/usr/share/foreman/vendor/ruby/2.3.0/gems/audited-4.8.0/lib/audited/sweeper.rb:14:in "around’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in "block in
run_callbacks'

/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:136:in "run_callbacks'
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/abstract_controller/callbacks.rb:41:in ‘process_action’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_controller/metal/rescue.rb:22:in "process_action’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_controller/metal/instrumentation.rb:34:in "block in
process_action’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/notifications.rb:168:in "block in
instrument’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/notifications/instrumenter.rb:23:in
‘instrument’

/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/notifications.rb:168:in “instrument'’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_controller/metal/instrumentation.rb:32:in
‘process_action’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_controller/metal/params_wrapper.rb:256:in
‘process_action’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activerecord-5.2.1/lib/active_record/railties/controller_runtime.rb:24:in
‘process_action’

/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/abstract_controller/base.rb:134:in "process’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionview-5.2.1/lib/action_view/rendering.rb:32:in "process'
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_controller/metal.rb:191:in "dispatch’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_controller/metal.rb:252:in "dispatch’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/routing/route_set.rb:52:in "dispatch’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/routing/route_set.rb:34:in "serve’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/journey/router.rb:52:in “block in serve'
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/journey/router.rb:35:in “each’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/journey/router.rb:35:in “serve'
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/routing/route_set.rb:840:in “call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/apipie-rails-0.5.16/lib/apipie/static_dispatcher.rb:66:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/apipie-rails-0.5.16/lib/apipie/extractor/recorder.rb:137:in "call’
/usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/apipie-rails-0.5.16/lib/apipie/middleware/checksum_in_headers.rb:27:in "call’
/usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in “call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/tempfile_reaper.rb:15:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/etag.rb:25:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/conditional_get.rb:38:in “call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/head.rb:12:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/http/content_security_policy.rb:18:in “call'
/usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/session/abstract/id.rb:232:in "context’'
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/session/abstract/id.rb:226:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/middleware/cookies.rb:670:in “call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/middleware/callbacks.rb:28:in "block in
call'

/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:98:in "run_callbacks’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/middleware/callbacks.rb:26:in "call’'
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/middleware/debug_exceptions.rb:61:in
“call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/middleware/show_exceptions.rb:33:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/railties-5.2.1/lib/rails/rack/logger.rb:38:in “call_app’
/usr/share/foreman/vendor/ruby/2.3.0/gems/railties-5.2.1/lib/rails/rack/logger.rb:28:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet_assets.rb:13:in "call’
/usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/middleware/remote_ip.rb:81:in “call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/middleware/request_id.rb:27:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/method_override.rb:22:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/runtime.rb:22:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.2.1/lib/active_support/cache/strategy/local_cache_middleware.r
b:29:in “call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/middleware/executor.rb:14:in “call’'
/usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/sendfile.rb:111:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/secure_headers-6.1.0/lib/secure_headers/middleware.rb:11:in “call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/railties-5.2.1/lib/rails/engine.rb:524:in "call’
/usr/share/foreman/vendor/ruby/2.3.0/gems/railties-5.2.1/lib/rails/railtie.rb:190:in "public_send’
/usr/share/foreman/vendor/ruby/2.3.0/gems/railties-5.2.1/lib/rails/railtie.rb:190:in "'method_missing’
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/urimap.rb:68:in "block in call’'
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/urimap.rb:53:in “each’
/usr/share/foreman/vendor/ruby/2.3.0/gems/rack-2.0.7/lib/rack/urimap.rb:53:in “call’'
/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:97:in "process_request’
/ust/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:160:in
‘accept_and_process_next_request’
/usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:113:in "'main_loop’
/usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler.rb:416:in "block (3 levels) in start_threads’
/ustr/lib/ruby/vendor_ruby/phusion_passenger/utils.rb:113:in "block in create_thread_and_abort_on_exception’
/usr/share/foreman/vendor/ruby/2.3.0/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in "block in
create_with_logging_context'

2019-08-09T10:23:01 [W|app|e188f925] Rolling back due to a problem: [#<Orchestration::Task:0x007f5e3ff2ef50
@name="Create IPv4 DNS record for cary-lannigan.example.com", @id="Create IPv4 DNS record for
cary-lannigan.example.com”, @status="failed", @priority=10, @action=[#<Nic::Managed id: nil, mac: "0c:c4:7a:15:1f:02",
ip: "10.22.2.200", type: "Nic::Managed", name: "cary-lannigan.example.com”, host_id: nil, subnet_id: 3, domain_id: 1, attrs:
{}, created_at: nil, updated_at: nil, provider: nil, username: nil, password: nil, virtual: false, link: true, identifier: "", tag: "",
attached_to: "", managed: true, mode: "balance-rr", attached_devices: """, bond_options: "", primary: true, provision: true,
compute_attributes: {}, ip6: "", subnet6_id: nil>, :set_dns_record, :a], @created=1565338981.4323535,
@timestamp=2019-08-09 08:23:01 UTC>]

2019-08-09T10:23:01 [ljapp|e188f925] Delete DHCP reservation cary-lannigan.example.com for
cary-lannigan.example.com-0c:c4:7a:15:1:02/10.22.2.200

2019-08-09T10:23:01 [l|app|3330502b] Started GET "/node/mgmt-waw2-dev-02.example.com?format=yml" for 10.12.0.50 at
2019-08-09 10:23:01 +0200

2019-08-09T10:23:01 [ljapp|3330502b] Processing by HostsController#externalNodes as YML

2019-08-09T10:23:01 [l|app|3330502b] Parameters: {"name"=>"mgmt-waw2-dev-02.example.com"}

2019-08-09T10:23:01 [D|app|3330502b] Examining client certificate to extract dn and sans

2019-08-09T10:23:01 [D|app|3330502b] Client sent certificate with subject 'puppet-01.example.com’ and subject alt names
"puppet"”, "puppet-01.example.com"]’

2019-08-09T10:23:01 [ljapp|e188f925] Processed 1 tasks from queue 'Host::Managed Main', completed 0/7
2019-08-09T10:23:01 [E|app|e188f925] Task 'Create DHCP Settings for cary-lannigan.example.com’ *rollbacked
2019-08-09T10:23:01 [E|app|e188f925] Task 'Create IPv4 DNS record for cary-lannigan.example.com' failed
2019-08-09T10:23:01 [E|app|e188f925] Task 'Deploy TFTP PXELinux config for cary-lannigan.example.com' canceled
2019-08-09T10:23:01 [E|app|e188f925] Task 'Deploy TFTP PXEGrub2 config for cary-lannigan.example.com' canceled
2019-08-09T10:23:01 [E|app|e188f925] Task 'Deploy TFTP PXEGrub config for cary-lannigan.example.com' canceled
2019-08-09T10:23:01 [E|app|e188f925] Task 'Deploy TFTP iPXE config for cary-lannigan.example.com' canceled
2019-08-09T10:23:01 [E|app|e188f925] Task 'Fetch TFTP boot files for cary-lannigan.example.com' canceled
2019-08-09T10:23:01 [E|app|e188f925] Failed to save: Create IPv4 DNS record for cary-lannigan.example.com task failed with the
following error: ERF12-2357 [ProxyAPI::ProxyException]: Unable to set DNS entry ([RestClient::BadRequest]: 400 Bad Request) for
proxy https:/foreman-01.example.com:8443/dns

History

#1 - 08/09/2019 09:18 AM - Lukasz Chrustek

but in powerdns this record is created:

1. pdnsutil list-zone example.com | grep cary
cary-lannigan.example.com. 86400 IN A 10.22.2.200 #

can't figure out what couse this behavior.

#2 - 08/09/2019 10:11 AM - Lukasz Chrustek
- Found in Releases 1.22.0 added

#3 - 08/10/2019 09:14 AM - Lukasz Chrustek

- Description updated

#4 - 08/25/2019 05:09 PM - Tomer Brisker
- Project changed from Foreman to Smart Proxy

- Category set to DNS
